﻿using Autofac;
using SettingsReader.App.Services;

namespace SettingsReader.App.IoC
{
    public static class Container
    {
        public static IContainer Initialize()
        {
            var builder = new ContainerBuilder();
            builder.RegisterModule(new SettingsModule("config.json"));
            builder.RegisterType<Database>().As<IDatabase>();
            builder.RegisterType<UserService>().As<IUserService>();

            return builder.Build();
        }
    }
}