﻿using System;
using Autofac;
using SettingsReader.App.Services;

namespace SettingsReader.App
{
    class Program
    {
        private static readonly IContainer Container = IoC.Container.Initialize();

        static void Main(string[] args)
        {
            Console.WriteLine("Create new user.");
            Console.Write("Email: ");
            var email = Console.ReadLine();
            Console.Write("Password: ");
            var password = Console.ReadLine();

            using (var scope = Container.BeginLifetimeScope())
            {
                var userService = scope.Resolve<IUserService>();
                var user = userService.Register(email, password);
                Console.WriteLine($"User has been created. {user}.");
            }
        }
    }
}
