﻿using System;
using System.Collections.Generic;
using SettingsReader.App.Models;
using SettingsReader.App.Settings;

namespace SettingsReader.App.Services
{
    public interface IDatabase
    {
        void OpenConnection();
        IEnumerable<User> GetAllUsers();
        void SaveUser(User user);
    }

    public class Database : IDatabase
    {
        private static readonly IList<User> Users = new List<User>
        {
            new User("user1@test.com", "user1", "test", true),
            new User("user2@test.com", "user2", "test", false),
            new User("user3@test.com", "user1", "test", true)
        };

        private readonly DatabaseSettings _databaseSettings;

        public Database(DatabaseSettings databaseSettings)
        {
            _databaseSettings = databaseSettings;
        }

        public void OpenConnection()
        {
            Console.WriteLine("Connecting to the database using connection string: " +
                              $"'{_databaseSettings.ConnectionString}'.");
        }

        public IEnumerable<User> GetAllUsers() => Users;

        public void SaveUser(User user)
        {
            Users.Add(user);
            Console.WriteLine($"Saving user: '{user.Email}' to the database.");
        }
    }
}